LiVES 2.4.6

- Main Page
- Namespaces
- Data Structures
- Files

- File List
- Globals

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros
Data Structures | Macros | Functions
lives-yuv4mpeg.h File Reference
`#include <yuv4mpeg.h>`

Go to the source code of this file.

## Data Structures
struct | lives_yuv4m_t
struct | lives_card_w

## Macros
#define | YUV4_TYPE_GENERIC 0
#define | YUV4_TYPE_FW 1
#define | YUV4_TYPE_TV 2

## Functions
void | weed_layer_set_from_yuv4m (weed_plant_t *layer, lives_clip_t *)
void | on_open_yuv4m_activate (LiVESMenuItem *, livespointer)
void | on_live_tvcard_activate (LiVESMenuItem *, livespointer)
void | on_live_fw_activate (LiVESMenuItem *, livespointer)
void | lives_yuv_stream_stop_read (lives_yuv4m_t *)
boolean | lives_yuv_stream_start_write (lives_yuv4m_t *, const char *filename, int hsize, int vsize, double fps)
| not used More...
boolean | lives_yuv_stream_write_frame (lives_yuv4m_t *, void *pixel_data)
void | lives_yuv_stream_stop_write (lives_yuv4m_t *)

## Macro Definition Documentation

#define YUV4_TYPE_FW 1

#define YUV4_TYPE_GENERIC 0

#define YUV4_TYPE_TV 2

## Function Documentation

boolean lives_yuv_stream_start_write | ( | lives_yuv4m_t * | ,
|  | const char * | filename,
|  | int | hsize,
|  | int | vsize,
|  | double | fps
| ) |  |

not used

void lives_yuv_stream_stop_read | ( | lives_yuv4m_t * |  | ) |

void lives_yuv_stream_stop_write | ( | lives_yuv4m_t * |  | ) |

boolean lives_yuv_stream_write_frame | ( | lives_yuv4m_t * | ,
|  | void * | pixel_data
| ) |  |

void on_live_fw_activate | ( | LiVESMenuItem * | ,
|  | livespointer |
| ) |  |

void on_live_tvcard_activate | ( | LiVESMenuItem * | ,
|  | livespointer |
| ) |  |

void on_open_yuv4m_activate | ( | LiVESMenuItem * | ,
|  | livespointer |
| ) |  |

void weed_layer_set_from_yuv4m | ( | weed_plant_t * | layer,
|  | lives_clip_t * |
| ) |  |